Bug 6340 - net rpc trustdom vampire always causes segmentation fault
net rpc trustdom vampire always causes segmentation fault
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Domain Control
3.3.4
x86 Linux
: P3 minor
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 02:31 UTC by TAKAHASHI Motonobu
Modified: 2009-06-19 04:39 UTC (History)
0 users

See Also:


Attachments
Level 10 log (67.77 KB, text/plain)
2009-05-08 02:32 UTC, TAKAHASHI Motonobu
no flags Details
fix for 3.3 that went into master/3.4 (867 bytes, patch)
2009-06-18 10:13 UTC, Guenther Deschner
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2009-05-08 02:31:46 UTC
net rpc trustdom vampire always causes segmentation fault:

-----
# /usr/local/samba/bin/net rpc trustdom vampire -U root%password
Vampire trusted domains:

W2K8AD1             S-1-5-21-1234995458-293493368-1744720997
Segmentation fault
-----
Comment 1 TAKAHASHI Motonobu 2009-05-08 02:32:41 UTC
Created attachment 4129 [details]
Level 10 log

Level 10 log.

BTW, How do "net rpc trustdom vampire" work??
Comment 2 Guenther Deschner 2009-06-18 10:13:02 UTC
Created attachment 4306 [details]
fix for 3.3 that went into master/3.4
Comment 3 Guenther Deschner 2009-06-19 04:03:48 UTC
Karolin, please push to 3.3 and 3.2.
Comment 4 Karolin Seeger 2009-06-19 04:14:57 UTC
Pushed to v3-2-test and v3-3-test.
Günther, please check if I solved the conflict in v3-2-test correctly.
Comment 5 Guenther Deschner 2009-06-19 04:39:17 UTC
Yep, looks correct. Thanks!